import type { AppItemProps } from './types';
export declare const defaultContentProps: {
    readonly appList: import("@antdv/pro-utils").VueTypeValidateDef<AppItemProps[], import("@antdv/pro-utils").ValidatorFunction<AppItemProps[]>>;
    readonly itemClick: import("@antdv/pro-utils").VueTypeValidateDef<(item: AppItemProps) => void, import("@antdv/pro-utils").ValidatorFunction<(item: AppItemProps) => void>>;
    readonly baseClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly hashId: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
};
export declare const DefaultContent: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly appList: import("@antdv/pro-utils").VueTypeValidateDef<AppItemProps[], import("@antdv/pro-utils").ValidatorFunction<AppItemProps[]>>;
    readonly itemClick: import("@antdv/pro-utils").VueTypeValidateDef<(item: AppItemProps) => void, import("@antdv/pro-utils").ValidatorFunction<(item: AppItemProps) => void>>;
    readonly baseClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly hashId: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly appList: import("@antdv/pro-utils").VueTypeValidateDef<AppItemProps[], import("@antdv/pro-utils").ValidatorFunction<AppItemProps[]>>;
    readonly itemClick: import("@antdv/pro-utils").VueTypeValidateDef<(item: AppItemProps) => void, import("@antdv/pro-utils").ValidatorFunction<(item: AppItemProps) => void>>;
    readonly baseClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly hashId: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
